
package org.sky.scientific.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.sky.core.mp.base.BaseService;
import org.sky.scientific.pojo.entity.CgZlEntity;
import org.springframework.web.multipart.MultipartFile;

import java.io.OutputStream;
import java.util.List;

/**
 * 科研成果-专利 服务类
 *
 * @author Kd
 * @since 2025-06-29
 */
public interface ICgZlService extends BaseService<CgZlEntity> {

	IPage<CgZlEntity> selectPageByCondition(IPage<CgZlEntity> page, CgZlEntity cgZl);

    void importZl(MultipartFile file);

	boolean save(CgZlEntity cgZl);

	boolean update(CgZlEntity cgZl);

	boolean physicalDeleteByIds(List<Long> ids);

	void exportZl(OutputStream os, List<CgZlEntity> list);

	/**
	 * 首页-知识产权情况
	 *
	 * @param tenantId
	 * @param year
	 * @return
	 */
	JSONObject zlDashboard(String tenantId, String year);
}
